/***********************
* Adobe Edge Animate Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         yepnope({
             load: [
         		"js/energize.js"
         	],
         	complete: function () {
         
              console.log("allscript complete");
              sym.play();
           }
         });
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'btn_mainthink'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("btn_mainthink");
   //Edge symbol end:'btn_mainthink'

   //=========================================================
   
   //Edge symbol: 'content_1'
   (function(symbolName) {   
   
      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_btn_mainthink}", "click", function(sym, e) {
         sym.play("content1");

      });
      //Edge binding end

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_btn_target}", "click", function(sym, e) {
         sym.play("content2");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_targetCopy}", "click", function(sym, e) {
         sym.play("content2in1");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1427, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1750, function(sym, e) {
         // Play the timeline at a label or specific time. For example:
         // sym.play(500); or sym.play("myLabel");
         sym.play("content2");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1959, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("content_1");
   //Edge symbol end:'content_1'

   //=========================================================
   
   //Edge symbol: 'btn_target'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("btn_target");
   //Edge symbol end:'btn_target'

})(jQuery, AdobeEdge, "EDGE-172597114");